# Class AbstractAccessLogValve.HostElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.HostElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`, `AbstractAccessLogValve.CachedElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.HostElement extends Object implements AbstractAccessLogValve.AccessLogElement, AbstractAccessLogValve.CachedElement
write remote host name - %h

Author:
  Craig R. McClanahan, Jason Brittain, Remy Maucherat, Takayuki Kaneko, Peter Rossbach

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`HostElement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`
`void`
`cache(Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HostElement

protected HostElement()

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

### cache

public void cache(Request request)

Specified by:
  `cache` in interface `AbstractAccessLogValve.CachedElement`